Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util.transaction
Class TransactionMonitor

    java.lang.Object
      edu.stanford.smi.protege.util.transaction.TransactionMonitor

    public abstract class TransactionMonitor

extends Object

This is a simple class that keeps track of running transactions and their nesting.

Author:
  tredmond

Constructor Summary
`TransactionMonitor()`

Method Summary
`void` | `beginTransaction()`
`void` | `commitTransaction()`
`boolean` | `exclusiveTransaction()`
`boolean` | `existsTransaction()`
`int` | `getNesting()`
`int` | `getNesting(RemoteSession session)`
`Set<RemoteSession>` | `getSessions()`
`abstract TransactionIsolationLevel` | `getTransationIsolationLevel()`
`boolean` | `inTransaction()`
`void` | `rollbackTransaction()`
`abstract void` | `setTransactionIsolationLevel(TransactionIsolationLevel level)` Sets the transaction isolation level for the current connection.
`boolean` | `updatesSeenByUntransactedClients()`
`boolean` | `updatesSeenByUntransactedClients(TransactionIsolationLevel level)`
`static boolean` | `updatesSeenByUntransactedClients(TransactionMonitor tm)`
`static boolean` | `updatesSeenByUntransactedClients(TransactionMonitor tm, TransactionIsolationLevel level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionMonitor

    public TransactionMonitor()

Method Detail

### beginTransaction

    public void beginTransaction()

### rollbackTransaction

    public void rollbackTransaction()

### commitTransaction

    public void commitTransaction()

### inTransaction

    public boolean inTransaction()

### existsTransaction

    public boolean existsTransaction()

### exclusiveTransaction

    public boolean exclusiveTransaction()

### getNesting

    public int getNesting()

### getNesting

    public int getNesting(RemoteSession session)

### updatesSeenByUntransactedClients

    public static boolean updatesSeenByUntransactedClients(TransactionMonitor tm)

### updatesSeenByUntransactedClients

    public static boolean updatesSeenByUntransactedClients(TransactionMonitor tm,
                                                           TransactionIsolationLevel level)

### updatesSeenByUntransactedClients

    public boolean updatesSeenByUntransactedClients()

### updatesSeenByUntransactedClients

    public boolean updatesSeenByUntransactedClients(TransactionIsolationLevel level)

### getSessions

    public Set<RemoteSession> getSessions()

### getTransationIsolationLevel

    public abstract TransactionIsolationLevel getTransationIsolationLevel()
                                                                   throws TransactionException

  Throws:
    `TransactionException`

### setTransactionIsolationLevel

    public abstract void setTransactionIsolationLevel(TransactionIsolationLevel level)
                                               throws TransactionException

  Sets the transaction isolation level for the current connection.

  Parameters:
    `level` - The desired TransactionIsolationLevel
  Throws:
    `TransactionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.